Skip to main content

Get Profit History Summary

Get a summary of the trader's profit sharing history.

HTTP Request

GET /api/v1/copy/mix-trader/profit-history-summarys

Request Parameters

This endpoint does not require any parameters.

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/copy/mix-trader/profit-history-summarys" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectResponse data
> profitSummaryobjectProfit summary
>> yesterdayProfitstringYesterday's profit
>> sumProfitstringTotal cumulative profit
>> waitProfitstringPending profit (not yet distributed)
>> yesterdayTimestringYesterday's timestamp
> profitHistoryListarrayProfit history by coin
>> coinstringCoin type
>> profitCountstringTotal profit amount for this coin
>> lastProfitTimestringLast profit time in milliseconds

Response Example

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"profitSummary": {
"yesterdayProfit": "25.12345678",
"sumProfit": "1500.12345678",
"waitProfit": "50.00000000",
"yesterdayTime": "1763372880000"
},
"profitHistoryList": [
{
"coin": "USDT",
"profitCount": "1500.12345678",
"lastProfitTime": "1763459280000"
}
]
}
}

Error Codes

CodeMessage
45002User not found
45003Not a copy trader
50000System error